### Hierarchy

- Uaas
  - UaasService

## Index

### Constructors

- constructor

### Properties

- _type
- api
- authenticated
- dev
- errorMessage

### Accessors

- type
- instance

### Methods

- init
- login
- logout
- onLoginFailure
- onLoginSucces

## Constructors

### constructor

- new UaasService(enforcer: any): UaasService

- Overrides Uaas.constructor

  - Defined in uaas/uaas-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns UaasService

## Properties

### _type

_type: string

- Defined in uaas/uaas-service.ts:8

### api

api: Api

Inherited from Uaas.api

- Defined in uaas/uaas.ts:31

### authenticated

authenticated: boolean = false

Inherited from Uaas.authenticated

- Defined in uaas/uaas.ts:32

### dev

dev: boolean = false

Inherited from Uaas.dev

- Defined in uaas/uaas.ts:35

### errorMessage

errorMessage: string = ""

Inherited from Uaas.errorMessage

- Defined in uaas/uaas.ts:36

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in uaas/uaas-service.ts:25

  #### Returns string

- - Defined in uaas/uaas-service.ts:29

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in uaas/uaas-service.ts:18

  #### Returns any

## Methods

### init

- init(id: string, config: any): Promise<void>

- Inherited from Uaas.init

  - Defined in uaas/uaas.ts:42

  #### Parameters

  - ##### id: string

  - ##### config: any

  #### Returns Promise<void>

### login

- login(event: any): Promise<void>

- Inherited from Uaas.login

  - Defined in uaas/uaas.ts:71

  #### Parameters

  - ##### event: any

  #### Returns Promise<void>

### logout

- logout(): Promise<void>

- Inherited from Uaas.logout

  - Defined in uaas/uaas.ts:83

  #### Returns Promise<void>

### onLoginFailure

- onLoginFailure(result: any): void

- Inherited from Uaas.onLoginFailure

  - Defined in uaas/uaas.ts:94

  #### Parameters

  - ##### result: any

  #### Returns void

### onLoginSucces

- onLoginSucces(result: any): void

- Inherited from Uaas.onLoginSucces

  - Defined in uaas/uaas.ts:89

  #### Parameters

  - ##### result: any

  #### Returns void